<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_287"
        android:scaleType="fitXY"
        android:src="@mipmap/bg_my_integral" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <include
            android:id="@+id/title"
            layout="@layout/title_lucency_bar" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/mRule"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_25"
                    android:layout_marginTop="@dimen/dp_22"
                    android:orientation="horizontal">

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/ivHeadIcon"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:src="@mipmap/ic_logo" />

                    <TextView
                        android:id="@+id/name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="@dimen/dp_10"
                        android:drawablePadding="@dimen/dp_4"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_15"
                        tools:ignore="HardcodedText,UseCompatTextViewDrawableXml"
                        tools:text="张晓曦" />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tvWeight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start|center_vertical"
                        android:layout_marginTop="@dimen/dp_10"
                        android:gravity="center"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_34"
                        android:textStyle="bold"
                        tools:text="50.34" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginStart="@dimen/dp_2"
                        android:text="kg"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_15" />
                </LinearLayout>


                <TextView
                    android:id="@+id/tvTestTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_8"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_15"
                    tools:text="10/20 15:57 测量" />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginTop="@dimen/dp_14"
                    android:layout_marginEnd="@dimen/dp_16"
                    android:layout_marginBottom="@dimen/dp_6"
                    android:background="@drawable/shape_sleep_bg_8dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="数据"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_12"
                        android:layout_marginTop="@dimen/dp_16"
                        android:layout_marginEnd="@dimen/dp_14"
                        android:layout_marginBottom="@dimen/dp_18"
                        android:orientation="vertical">

                        <include
                            android:id="@+id/bmiLayout"
                            layout="@layout/layout_bmi" />

                        <include
                            android:id="@+id/bodyFatLayout"
                            layout="@layout/layout_body_fat" />

                        <include
                            android:id="@+id/muscleLayout"
                            layout="@layout/layout_muscle" />

                        <include
                            android:id="@+id/stoneLayout"
                            layout="@layout/layout_skeleton" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_20"
                    android:background="@drawable/shape_sleep_bg_8dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="详细数据"
                        android:textColor="#313131"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <LinearLayout
                        android:id="@+id/llDetailLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tvstyle"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginStart="@dimen/dp_15"
                            android:layout_marginEnd="@dimen/dp_15"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:text=""
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_15"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/tvStyleDetail"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginStart="@dimen/dp_15"
                            android:layout_marginEnd="@dimen/dp_15"
                            android:text=""
                            android:textColor="@color/col_7c7"
                            android:textSize="@dimen/sp_15" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rlcDetail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_12"
                        android:layout_marginEnd="@dimen/dp_12"
                        android:layout_marginTop="@dimen/dp_17"
                        android:layout_marginBottom="@dimen/dp_20"
                        android:nestedScrollingEnabled="false" />

                    <LinearLayout
                        android:id="@+id/llNoDataLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginEnd="@dimen/dp_16"
                        android:layout_marginBottom="@dimen/dp_20"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:drawableStart="@mipmap/ic_yellow_hint"
                            android:drawablePadding="@dimen/dp_4"
                            android:gravity="center_vertical"
                            android:background="@color/col_6e3"
                            android:paddingStart="@dimen/dp_10"
                            android:paddingTop="@dimen/dp_2"
                            android:paddingBottom="@dimen/dp_2"
                            android:text="本次测量未读取到您的体脂率等数据"
                            android:textColor="@color/col_360"
                            android:textSize="@dimen/sp_12" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_14"
                                android:layout_toStartOf="@+id/ivHint"
                                android:text="温馨提示：请赤脚上秤测量，双脚均匀接触体脂秤，提升数据读取效果。"
                                android:textColor="@color/col_7c7"
                                android:lineSpacingExtra="@dimen/dp_4"
                                android:textSize="@dimen/sp_13" />

                            <ImageView
                                android:id="@+id/ivHint"
                                android:layout_width="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:layout_height="wrap_content"
                                android:src="@mipmap/ic_body_fat_no_data_bg"/>

                        </RelativeLayout>

                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

    </LinearLayout>

</FrameLayout>